# InventoryGUIData

class InventoryGUIData<T : ForInventory>(inventoryType: InventoryType<T>, title: String?, pages: Map<Int, InventoryGUIPage<T>>, transitionTo: InventoryChangeEffect?, transitionFrom: InventoryChangeEffect?, generalOnClick: (InventoryGUIClickEvent<T>) -> Unit?)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

inventoryType
Link copied to clipboard
val inventoryType: InventoryType<T>
Content copied to clipboard
title
Link copied to clipboard
val title: String?
Content copied to clipboard
transitionFrom
Link copied to clipboard
val transitionFrom: InventoryChangeEffect?
Content copied to clipboard
transitionTo
Link copied to clipboard
val transitionTo: InventoryChangeEffect?
Content copied to clipboard